We support all popular devices and all major carriers.

Compatibility

Versions


  • Android 8.x Oreo
  • Android 7.x Nougat
  • Android 6.x Marshmallow
  • Android 5.x Lollipop
  • Android 4.4.x KitKat
  • Android 4.x.x Jelly Bean
  • Android 4.0.x Ice Cream Sandwich
  • Android 3.2.6 Honeycomb
  • Android 3.0 Honeycomb
  • Android 2.3.x Gingerbread
carrier

Our software do not require you to jailbreak and root your phone or tablet

Requirements for Android

The target device must be running Android 2.3+ and connected to the Internet. You need physical access to the device to install spysync.

Determine your version

Open your phone menu. Go to System Settings. Scroll down towards the bottom. Select About phone. The OS version of your device is shown under version.

Sign-up takes less than 60 seconds. Pick a plan now to get started.
Sign Up Now